/*------------------------------------*\
  global
\*------------------------------------*/

.wrapper {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  .main {
    margin-bottom: $spacing-xl;
  }
  .main + .banner,
  .main + .footer {
    margin-top: auto;
  }
}

%container {
  width: 100%;
  max-width: 1600px;
  margin-left: auto;
  margin-right: auto;
}

%padding {
  padding-left: $grid-gutter-width/2;
  padding-right: $grid-gutter-width/2;
  @include media('<xs') {
    padding-left: $grid-gutter-width/4;
    padding-right: $grid-gutter-width/4;
  }
}

%content-max-width {
  width: 100%;
}

%full-bleed {
  width: calc(100% + #{$grid-gutter-width});
  margin-left: -$grid-gutter-width/2;
  padding-left: $grid-gutter-width/2;
  padding-right: $grid-gutter-width/2;
  .detail--interview & {
    @include media('>=sm') {
      width: calc(100% + #{$grid-gutter-width*3});
      margin-left: -$grid-gutter-width*3/2;
      padding-left: $grid-gutter-width*3/2;
      padding-right: $grid-gutter-width*3/2;
    }
  }
}

.index__title,
.page__title,
.main__title {
  @extend .ts-title;
  @extend %padding;
  margin-bottom: $spacing-xl;
}

.index,
.detail__section,
.page,
.main__title {
  padding-top: $spacing-xl;
  @include media('<=xs') {
    padding-top: $spacing-md;
  }
}
.page {
  margin-bottom: $spacing-xl;
}

.main__title {margin-bottom: 0;}
